#!/usr/bin/python
#--------------------------------------
# VEML6035 test
# GAIN=1, SENS=1, IT=100ms
# 0-1678lx
# light = 0.0256 * data
#--------------------------------------

import smbus
import time
bus = smbus.SMBus(1)
adr = 0x29
ccnv = 0.0256

print "VEML6035 test.."
bus.write_word_data(adr, 0x00, 0x1C04)  #ALS gain, int time, turn on
time.sleep(1.0)
print "ALS level: ", (ccnv * bus.read_word_data(adr, 0x04)), "lx"  #ALS read
print "WHITE level: ", (ccnv * bus.read_word_data(adr, 0x05)), "lx"  #WHITE read
bus.close()
print "Quit\n"